// RSSMU_Fading_ExampleDlg.h : header file
//

#if !defined(AFX_RSSMU_FADING_EXAMPLEDLG_H__E07B0077_8BD7_4B0E_817E_6C180429684A__INCLUDED_)
#define AFX_RSSMU_FADING_EXAMPLEDLG_H__E07B0077_8BD7_4B0E_817E_6C180429684A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/* Error check macro for driver functions */

#define FT_CHECKERR(fcal, err) if ((rssmu_status = fcal) < 0){\
								 rssmu_close(instrSession);\
        						 sprintf (buffer, "Error: %ld, %s", rssmu_status, err);\
        						 AfxMessageBox (buffer, MB_OK);\
        						 return;\
        						 }



/////////////////////////////////////////////////////////////////////////////
// CRSSMU_Fading_ExampleDlg dialog

class CRSSMU_Fading_ExampleDlg : public CDialog
{
// Construction
public:
	CRSSMU_Fading_ExampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSSMU_Fading_ExampleDlg)
	enum { IDD = IDD_RSSMU_FADING_EXAMPLE_DIALOG };
	BOOL	m_Common_Speed;
	BOOL	m_DMState;
	BOOL	m_FadingState;
	int		m_GSMStandard;
	BOOL	m_Query;
	BOOL	m_Reset;
	CString	m_ResName;
	double	m_RFFreq;
	double	m_RFLevel;
	BOOL	m_RFState;
	int		m_SignalDedicatedTo;
	int		m_SpeedUnit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSSMU_Fading_ExampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSSMU_Fading_ExampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnApply();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSSMU_FADING_EXAMPLEDLG_H__E07B0077_8BD7_4B0E_817E_6C180429684A__INCLUDED_)
